/*
    Armadillo - program for creating Mac OS X startup items
    Copyright (C) 2005 Sveinbjorn Thordarson <sveinbt@hi.is>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#import <Cocoa/Cocoa.h>
#import "STUtil.h"
#import "ItemList.h"

@interface ArmadilloController : NSObject
{
    IBOutlet id createAndInstallButton;
    IBOutlet id createButton;
    IBOutlet id descriptionTextField;
    
    IBOutlet id messageTextField;
    IBOutlet id nameTextField;
    IBOutlet id orderPrefsMenu;
    IBOutlet id progressBar;
    
    IBOutlet id scriptTextView;
    
    IBOutlet id window;
	
	IBOutlet id numUsesItems;
	IBOutlet id usesTextField;
	IBOutlet id usesDataBrowser;
	IBOutlet id usesWindow;
	
	IBOutlet id numRequiresItems;
	IBOutlet id requiresTextField;
	IBOutlet id requiresDataBrowser;
	IBOutlet id requiresWindow;
	
	IBOutlet id numFilesItems;
	IBOutlet id filesDataBrowser;
	IBOutlet id filesWindow;
	
	IBOutlet id syntaxCheckTextField;
	IBOutlet id syntaxWindow;
	
	IBOutlet id doneWindow;
	IBOutlet id doneWindowTextField;
	
	ItemList	*usesList;
	ItemList	*requiresList;
	ItemList	*filesList;
}

- (IBAction)setDefaultScript:(id)sender;
- (IBAction)importScript:(id)sender;
- (void)importScriptDidEnd:(NSOpenPanel *)oPanel returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction)checkScriptSyntax:(id)sender;
- (IBAction)closeSyntaxWindow:(id)sender;

- (IBAction)create:(id)sender;
- (void)createPanelDidEnd:(NSOpenPanel *)oPanel returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction)createAndInstall:(id)sender;
- (int) createStartupItemAtPath: (NSString *)path;
- (IBAction)closeDoneWindow: (id)sender;

- (IBAction)editFiles:(id)sender;
- (IBAction)endEditFiles:(id)sender;
- (IBAction)removeFilesItem:(id)sender;
- (IBAction)addFilesItem:(id)sender;
- (IBAction)clearFilesItems:(id)sender;

- (IBAction)editRequires:(id)sender;
- (IBAction)endEditRequires:(id)sender;
- (IBAction)removeRequiresItem:(id)sender;
- (IBAction)addRequiresItem:(id)sender;
- (IBAction)clearRequiresItems:(id)sender;

- (IBAction)editUses:(id)sender;
- (IBAction)endEditUses:(id)sender;
- (IBAction)removeUsesItem:(id)sender;
- (IBAction)addUsesItem:(id)sender;
- (IBAction)clearUsesItems:(id)sender;

- (IBAction)showHelp:(id)sender;
@end
